 # -*- coding: utf-8 -*-
 # Developped by Florent Brunel
 # 20/01/2015 at the Laboratory of Mechanics of Lille, Polytech-lille
 

import numpy as np
import matplotlib.pyplot as plt
from matplotlib.widgets import Slider

fig1=plt.figure(num=1,figsize=(12,10))
Image='frame00097.tiff'
Img=plt.imread(Image)
img_x,img_y=np.shape(Img)
plt.imshow(Img,cmap=plt.cm.gray);plt.axis("image")

taille_x=20
taille_y=20

nx,ny=(taille_x,taille_y)
x=np.arange(0,img_x,taille_x)
y=np.arange(0,img_y,taille_y)
xm1,ym1=np.meshgrid(x,y)
xm2,ym2=np.meshgrid(y,x)
mesh1=[]
mesh2=[]
mesh1 =plt.plot(ym1,xm1,'r')
mesh2 =plt.plot(xm2,ym2,'r')

fig2=plt.figure(num=2,figsize=(12,0.75))
axcolor = 'lightgoldenrodyellow'
axtaille  = plt.axes([0.10, 0.20, 0.55, 0.4], axisbg=axcolor)

staille=Slider(axtaille,'Taille',1,100,valinit=20,valfmt='%0.0f')

def update(val):
    taille = staille.val
    taille = int(taille)
    x=np.arange(0,img_x,taille)
    y=np.arange(0,img_y,taille)
    xm1,ym1=np.meshgrid(x,y)
    xm2,ym2=np.meshgrid(y,x)
    plt.figure(1)
    sauv_axes=plt.axis()
    plt.clf()
    plt.imshow(Img,cmap=plt.cm.gray);plt.axis(sauv_axes)
    mesh1 =plt.plot(ym1,xm1,'r')
    mesh2 =plt.plot(xm2,ym2,'r')
    fig1.canvas.draw_idle()

staille.on_changed(update)

plt.show()